# Install CRAN packages
install.packages("pdftools")
install.packages("tidyverse")
install.packages("tidytext")
install.packages("ggthemes")
install.packages("kableExtra")
install.packages("huxtable")
install.packages("here")
install.packages("gridBase")
install.packages("gridExtra")
install.packages("reshape2")
install.packages("wordcloud")
install.packages("quanteda")
install.packages("Hmisc")
# not available (in required version) for R 3.6.0 > install tag from GitHub
remotes::install_github("tidyverse/googledrive", ref = "v1.0.0", upgrade = "never")
remotes::install_github("tidyverse/googlesheets4", ref = "v0.1.1", upgrade = "never")

# needs development version from a fork, see https://github.com/rstudio/rticles/pull/288
#remotes::install_github("yihui/xfun", ref = "v0.15", upgrade = "never")
remotes::install_github("rstudio/rmarkdown", ref = "v2.5", upgrade = "never")
remotes::install_github("rstudio/rticles", ref = "v0.17", upgrade = "never")

remotes::install_github("thomasp85/patchwork", ref = "v1.1.0", upgrade = "never")
install.packages("ggalluvial")
install.packages("ggfittext")
remotes::install_github("benmarwick/wordcountaddin")

# Install LaTeX packages
tinytex::tlmgr_install("siunitx")
tinytex::tlmgr_install("xcolor")
tinytex::tlmgr_install("colortbl")
tinytex::tlmgr_install("lscape")
tinytex::tlmgr_install("wrapfig")
tinytex::tlmgr_install("float")
tinytex::tlmgr_install("microtype")
tinytex::tlmgr_install("soul")
tinytex::tlmgr_install("multirow")
tinytex::tlmgr_install("babel-english")
tinytex::tlmgr_install("threeparttable")
tinytex::tlmgr_install("lineno")
tinytex::tlmgr_install("lastpage")
tinytex::tlmgr_install("comment")
tinytex::tlmgr_install("xstring")
tinytex::tlmgr_install("thmtools")
tinytex::tlmgr_install("carlisle")
tinytex::tlmgr_install("cleveref")
tinytex::tlmgr_install("graphics")
tinytex::tlmgr_install("xkeyval")
tinytex::tlmgr_install("graphics-def")
tinytex::tlmgr_install("oberdiek")
tinytex::tlmgr_install("ifxetex")
tinytex::tlmgr_install("caption")
tinytex::tlmgr_install("amscls")
tinytex::tlmgr_install("tabu")
tinytex::tlmgr_install("varwidth")
tinytex::tlmgr_install("threeparttablex")
tinytex::tlmgr_install("environ")
tinytex::tlmgr_install("trimspaces")
tinytex::tlmgr_install("ulem")
tinytex::tlmgr_install("makecell")

# for the preprint header:
tinytex::tlmgr_install("ifluatex")
tinytex::tlmgr_install("ms")
tinytex::tlmgr_install("pgf")
tinytex::tlmgr_install("anyfontsize")